#ifndef lint
static char copyright[] =
"@(#) Copyright (c) 1996\n\
	The Regents of the University of Ibaraki.  All rights reserved.\n";
#endif /* not lint */

#ifndef lint
static char sccsid[] = "@(#)chper.c	8.8 (Ibaraki Univ.) 10/8/96";
#endif /* not lint */

#include <sys/types.h>
#include <sys/stat.h>

#include <err.h>
#include <errno.h>
#include <fts.h>
#include <limits.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

void usage __P((void));

int
main(argc, argv)
	int argc;
	char *argv[];
{
        int i, permit, rval;
	char* ep;

	if (argc < 2)
		usage();

	rval = 0;

	permit = strtoul(*++argv, &ep, 8) ^ ACCESSPERMS;
	for (i = 2; i < argc; i++)
		if ((errno = chper(*++argv, permit)) < 0) {
			warn(*argv);
			rval = 1;
		}
	if (errno)
		err(1, "fts_read");
	exit(rval);
}

void
usage()
{
	(void)fprintf(stderr,
	    "usage: chper permit file ...\n");
	exit(1);
}
